Bug 1249102 - "monstartup: out of memory" on PPC64LE
"monstartup: out of memory" on PPC64LE
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: glibc (Show other bugs)
7.2
ppc64le Linux
high Severity medium
: rc
: 7.3
Assigned To: Martin Sebor
Arjun Shankar
: Patch, ZStream
: 1290414 (view as bug list)
Depends On:
Blocks: 1203710 1230910 1276040 1297579 1298956 1364088
  Show dependency treegraph
 
Reported: 2015-07-31 09:36 EDT by Laurent Vivier
Modified: 2016-11-03 04:24 EDT (History)
14 users (show)

See Also:
Fixed In Version: glibc-2.17-108.el7_3
Doc Type: Bug Fix
Doc Text:
On the little-endian variant of 64-bit IBM Power Systems (ppc64le), a bug in the dynamic loader could cause applications compiled with profiling enabled to fail to start with the error "monstartup: out of memory". The bug has been corrected and applications compiled for profiling now start correctly.
Story Points: ---
Clone Of:
: 1298956 (view as bug list)
Environment:
Last Closed: 2016-11-03 04:24:15 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
IBM Linux Technology Center 133660 None None None Never
Sourceware 17213 None None None Never
Launchpad 1402726 None None None Never

  None (edit)
Description Laurent Vivier 2015-07-31 09:36:11 EDT
Description of problem:

A binary compiled with "-pg" doesn't produce any profiling information (no gmon.out). The application start with an error message.

Version-Release number of selected component (if applicable):

Name        : glibc
Version     : 2.17
Release     : 103.el7
Architecture: ppc64le

How reproducible:

Every time

Steps to Reproduce:
1. Create a a basic C file:

#include <stdio.h>
int main(void)
{
    printf("Hello World\n");
    return 0;
}
2. Compile: gcc -o hello -pg hello.c
3. Run:
$ ./hello
monstartup: out of memory
Hello World
$ ls gmon.out
ls: cannot access gmon.out: No such file or directory

Actual results:

Error at starting.
No gmon.out file

Expected results:

No error.
A gmon.out file to use.

Additional info:

According to:
https://bugs.launchpad.net/ubuntu/+source/glibc/+bug/1402726
This bug is fixed upstream by:
https://sourceware.org/git/?p=glibc.git;a=commit;h=a53fbd8e6cd2f69bdfa3431d616a5f332aea6664
Comment 3 Carlos O'Donell 2015-08-04 12:12:19 EDT
Thanks for the bug and the reference to the upstream commit.

We are outside of the RHEL 7.2 development window right now, so we are considering this for RHEL 7.3.
Comment 8 Florian Weimer 2015-12-10 08:35:43 EST
*** Bug 1290414 has been marked as a duplicate of this bug. ***
Comment 18 Joseph Kachuck 2016-01-19 13:04:26 EST
Hello,
This bug has been copied as 7.2 z-stream (EUS) bug #1298930

Thank You
Joe Kachuck
Comment 19 Hanns-Joachim Uhl 2016-01-19 14:32:51 EST
(In reply to Joseph Kachuck from comment #18)
> Hello,
> This bug has been copied as 7.2 z-stream (EUS) bug #1298930
> 
> Thank You
> Joe Kachuck
.
... I think this has to read "... bug #1298956 ..." ... 
... please confirm or advise ...
Comment 20 Joseph Kachuck 2016-01-19 16:01:45 EST
Hello,
Yes I apologize that was a typo:
 This bug has been copied as 7.2 z-stream (EUS) bug #1298956

Thank You
Joe Kachuck
Comment 23 errata-xmlrpc 2016-11-03 04:24:15 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2016-2573.html

Note You need to log in before you can comment on or make changes to this bug.